<html>
<head>
<title>TestNG:  Regression suite 6</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>Regression suite 6</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>1/0/0</td>
</tr><tr>
<td>Started on:</td><td>Thu Jul 12 14:06:50 IST 2018</td>
</tr>
<tr><td>Total time:</td><td>340 seconds (340359 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='autospecs_TestCases.Autospecs_SR_SpecsectionFilter.SpecsectionFilter()'><b>SpecsectionFilter</b><br>Test class: autospecs_TestCases.Autospecs_SR_SpecsectionFilter<br/>
<a href="#Output-1405536019" onClick='toggleBox("Output-1405536019", this, "Show output", "Hide output");'>Show output</a>

<a href="#Output-1405536019" onClick="toggleAllBoxes();">Show all outputs</a>
<div class='log' id="Output-1405536019">
Project Selected<br/>
Clicked on Smart Register<br/>
Clicked on Spec Sections filter<br/>
Total no. of Spec Sections in Filter :28<br/>
Spec sections :03200 - CONCRETE REINFORCEMENT<br/>
Total no. of records : 7<br/>
Spec sections :03300 - Cast In Place Concrete<br/>
Total no. of records : 4<br/>
Spec sections :03650 - CEMENT-BASED FLOOR UNDERLAYMENT<br/>
Total no. of records : 4<br/>
Spec sections :04100 - MORTAR<br/>
Total no. of records : 1<br/>
Spec sections :04200 - UNIT MASONRY<br/>
Total no. of records : 8<br/>
Spec sections :04270 - CAST STONE MASONRY<br/>
Total no. of records : 8<br/>
Spec sections :05120 - STRUCTURAL STEEL<br/>
Total no. of records : 17<br/>
Spec sections :05211 - STEEL JOISTS<br/>
Total no. of records : 10<br/>
Spec sections :05230 - METAL ROOF DECKING<br/>
Total no. of records : 3<br/>
Spec sections :05240 - METAL FLOOR DECKING<br/>
Total no. of records : 2<br/>
Spec sections :05400 - Cold Formed Metal Framing<br/>
Total no. of records : 6<br/>
Spec sections :05500 - METAL FABRICATIONS<br/>
Total no. of records : 1<br/>
Spec sections :05700 - DECORATIVE METAL FABRICATIONS<br/>
Total no. of records : 2<br/>
Spec sections :05810 - Expansion Control (Wall And Surface<br/>
Total no. of records : 2<br/>
Spec sections :05820 - SLIDE BEARINGS<br/>
Total no. of records : 1<br/>
Spec sections :06400 - ARCHITECTURAL WOODWORK<br/>
Total no. of records : 4<br/>
Spec sections :06651 - SOLID SURFACE FABRICATIONS<br/>
Total no. of records : 9<br/>
Spec sections :07112 - BITUMINOUS WATERPROOFING<br/>
Total no. of records : 7<br/>
Spec sections :07210 - BUILDING INSULATION<br/>
Total no. of records : 6<br/>
Spec sections :07265 - LIQUID APPLIED AIR BARRIER<br/>
Total no. of records : 22<br/>
Spec sections :07410 - METAL ROOF SYSTEM<br/>
Total no. of records : 13<br/>
Spec sections :07416 - EXTERIOR WALL AND SOFFIT PANELS<br/>
Total no. of records : 9<br/>
Spec sections :07510 - PLY BUILT-UP ROOFING WITH GRAVEL BALLAST AND INSULATION<br/>
Total no. of records : 10<br/>
Spec sections :07530 - TPO SINGLE-PLY MEMBRANE ROOFING<br/>
Total no. of records : 12<br/>
Spec sections :07600 - FLASHING AND SHEET METAL<br/>
Total no. of records : 4<br/>
Spec sections :07830 - ROOF HATCHES<br/>
Total no. of records : 4<br/>
Spec sections :07900 - SEALANTS<br/>
Total no. of records : 4<br/>
Spec sections :07910 - THROUGH PENETRATION PROTECTION SYSTEMS<br/>
Total no. of records : 8<br/>
Spec Sections filter list is displayed successfully<br/>
</div>
</td>
<td></td>
<td>306</td>
<td>autospecs_TestCases.Autospecs_SR_SpecsectionFilter@527740a2</td></tr>
</table><p>
</body>
</html>